<< dd2str | conversions | qd2dd >>

DD_QD (MuPAT) >> DD_QD (MuPAT) > conversions > getHi

# getHi

Get the highest part of dd,qd number

### Syntax

    b = getHi(a)

### Parameters

a

  DD or QD number

b

  double number

### Description

getHi(a)

  return the highest part of dd,qd number.

### Examples

    a = ddrand(1,1)
    b = getHi(a)
    A = qdrand(2,2)
    B = getHi(A)

### See Also

- dd — builds an array of DD numbers
- qd — builds an array of QD numbers
- ddrand — (Quasi) Pseudorandom DD number generator
- qdrand — (Quasi) Pseudorandom QD number generator

### Authors

Copyright (C) 2011 - Tsubasa Saito

Report an issue
<< dd2str | conversions | qd2dd >>